## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname xyzservices

Name:           python-%{srcname}
Version:        2024.6.0
Release:        %autorelease
Summary:        Source of XYZ tiles providers

License:        BSD-3-Clause
URL:            https://github.com/geopandas/xyzservices
Source0:        %pypi_source %{srcname}

BuildArch:      noarch

BuildRequires:  python3-devel

%description
xyzservices is a lightweight library providing a repository of available XYZ
services offering raster basemap tiles. The repository is provided via Python
API and as a compressed JSON file. XYZ tiles can be used as background for your
maps to provide necessary spatial context.

%package -n     python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3dist(mercantile)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)

%description -n python3-%{srcname}
xyzservices is a lightweight library providing a repository of available XYZ
services offering raster basemap tiles. The repository is provided via Python
API and as a compressed JSON file. XYZ tiles can be used as background for your
maps to provide necessary spatial context.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%{pytest} -o 'markers=request'

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_datadir}/%{srcname}/

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2024.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2024.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 08 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.6.0-1
- Update to latest version (#2290710)

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 2024.4.0-2
- Rebuilt for Python 3.13

* Thu Apr 04 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2024.4.0-1
- Update to latest version (#2273059)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 30 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.10.1-1
- Update to latest version (#2246355)

* Sun Oct 08 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.10.0-1
- Update to latest version (#2242272)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2023.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.7.0-1
- Update to latest version (#2222820)

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 2023.5.0-2
- Rebuilt for Python 3.12

* Tue May 23 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.5.0-1
- Update to latest version (#2208655)

* Sun Apr 09 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.2.0-2
- Switch to SPDX license

* Sun Feb 19 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.2.0-1
- Update to latest version (#2171270)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2022.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 17 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.9.0-1
- Update to latest version (#2128022)

* Sun Jul 31 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.6.0-1
- Update to latest version (#2099540)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2022.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 2022.4.0-2
- Rebuilt for Python 3.11

* Mon Apr 18 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.4.0-1
- Update to latest version (#2075427)

* Thu Mar 10 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.3.0-2
- Add sources

* Thu Mar 10 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.3.0-1
- Update to latest version (#2062366)

* Sat Feb 12 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.2.0-1
- Update to latest version (#2052954)

* Tue Jan 25 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2022.1.1-1
- Update to latest version
- Fix comments from review

* Sun Dec 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2021.11.0-1
- Initial package

## END: Generated by rpmautospec
